aboutsummaryrefslogtreecommitdiff
path: root/bin/app-foreach-app
diff options
context:
space:
mode:
Diffstat (limited to 'bin/app-foreach-app')
-rwxr-xr-xbin/app-foreach-app23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/app-foreach-app b/bin/app-foreach-app
new file mode 100755
index 0000000..5b5b108
--- /dev/null
+++ b/bin/app-foreach-app
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+set -u
+
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
+
+. $APPSH_HOME/lib/common
+# HEADER END
+
+usage_text() {
+ echo "usage: $usage_app [args]"
+}
+
+IFS=" "
+app-ls-apps | while read app
+do
+ unset IFS
+ (cd $app; "$@") | while read line
+ do
+ echo "$app: $line"
+ done
+done